%define name LnxZip
%define version 0.1
%define release 1mdk
%define prefix /usr

Summary : LnxZip a WinZip(tm) clone and RPM builder for Linux Gnome.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Archiving/Compression
Source: %{name}-%{version}-1.tar.bz2
Source1: %{name}_menuentry
Source2: %{name}_icons.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{prefix}
Docdir: %{prefix}/doc

%description
 LnxZip  is a Gnome front-end to common archive utilities under Linux/unix. The goal is to provide the end user with a quality tool he/she requires to either work with compressed files or create RPM's. 

Currently zip, gzip, tar, arj, and bzip2 are supported. Functionality includes the ability to open archives, and to add, delete, extract, and view files.  RPM functionality includes creation of spec file, automatic naming convention, creation of build scripts, creation of build tree and execution of build script.

%prep
 rm -rf $RPM_BUILD_ROOT

%setup
 tar xvfy %{SOURCE2}
 ./configure

%build
 make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 lnxzip_16.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/lnxzip.xpm
install -m 644 lnxzip_32.xpm $RPM_BUILD_ROOT/usr/share/icons/lnxzip.xpm
install -m 644 lnxzip_48.xpm $RPM_BUILD_ROOT/usr/share/icons/large/lnxzip.xpm

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYING
%{prefix}/bin/lnxzip
%{prefix}/share/pixmaps/gnome-lnxzip.png
%{prefix}/share/mime-info/gnome-lnxzip.keys
%{prefix}/share/gnome/help/lnxzip/C/gnome-main.html
%{prefix}/share/gnome/help/lnxzip/C/gnome-rpm.html
%{prefix}/share/gnome/help/lnxzip/C/index.html
%{prefix}/share/gnome/help/lnxzip/C/topic.dat
/usr/lib/menu/*
/usr/share/icons/lnxzip.xpm
/usr/share/icons/large/lnxzip.xpm
/usr/share/icons/mini/lnxzip.xpm

%changelog
* Tue May 09 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1-1mdk
- First mdk release
- Add menu entry
 

